/* debug.h for Eterm.
 * 21 Feb 1998, vendu.
 */

#ifndef _DEBUG_H
# define _DEBUG_H

/* Macros for printing debugging messages */
# ifdef DEBUG_OPTIONS
#  define D_OPTIONS(a) fprintf(stderr, a)
#  define D_OPTIONS2(a,b) fprintf(stderr, a,b)
#  define D_OPTIONS4(a,b,c,d) fprintf(stderr, a,b,c,d)
# else
#  define D_OPTIONS(a) ((void)0)
#  define D_OPTIONS2(a,b) ((void)0)
#  define D_OPTIONS4(a,b,c,d) ((void)0)
# endif

# ifdef DEBUG_TTY
#  define D_TTY(a) fprintf(stderr, a)
#  define D_TTY2(a,b) fprintf(stderr, a,b)
# else
#  define D_TTY(a) ((void)0)
#  define D_TTY2(a,b) ((void)0)
# endif

# ifdef DEBUG_TTYMODE
#  define D_TTYMODE(x) fprintf(stderr, x)
# else
#  define D_TTYMODE(x) ((void)0)
# endif

# ifdef DEBUG_CMD
#  define D_CMD(a) fprintf(stderr, a)
#  define D_CMD2(a,b) fprintf(stderr, a,b)
#  define D_CMD3(a,b,c) fprintf(stderr, a,b,c)
# else
#  define D_CMD(x) ((void)0)
#  define D_CMD2(a,b) ((void)0)
#  define D_CMD3(a,b,c) ((void)0)
# endif

# ifdef DEBUG_IMLIB
#  define D_IMLIB(a) fprintf(stderr, a)
#  define D_IMLIB2(a,b) fprintf(stderr, a,b)
#  define D_IMLIB3(a,b,c) fprintf(stderr, a,b,c)
# else
#  define D_IMLIB(a) ((void)0)
#  define D_IMLIB2(a,b) ((void)0)
#  define D_IMLIB3(a,b,c) ((void)0)
# endif

# ifdef DEBUG_PIXMAP
#  define D_PIXMAP(x) fprintf(stderr, x)
# else
#  define D_PIXMAP(x) ((void)0)
# endif

# ifdef DEBUG_SCROLLBAR
#  define D_SCROLLBAR(x) fprintf(stderr, x)
# else
#  define D_SCROLLBAR(x) ((void)0)
# endif

# ifdef DEBUG_X11
#  define D_X11(a) fprintf(stderr, a)
# else
#  define D_X11(a) ((void)0)
# endif

# ifdef DEBUG_EVENTS
#  define D_EVENTS(x) fprintf(stderr, x)
# else
#  define D_EVENTS(x) ((void)0)
# endif

# ifdef DEBUG_THREADS
#  define D_THREADS(a) fprintf(stderr, a)
#  define D_THREADS2(a,b) fprintf(stderr, a,b)
# else
#  define D_THREADS(a) ((void)0)
#  define D_THREADS2(a,b) ((void)0)
# endif

#endif /* _DEBUG_H */
